﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.grdDateProcess.DataSource = MakeTable();
        this.grdDateProcess.DataBind();
    }
    protected void grdDateProcess_RowAdded(object sender, Infragistics.Web.UI.GridControls.RowAddedEventArgs e)
    {

    }
    protected void grdDateProcess_RowAdding(object sender, Infragistics.Web.UI.GridControls.RowAddingEventArgs e)
    {

    }
    protected void grdDateProcess_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
    {

    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "ID";
        column.ReadOnly = true;
        column.Unique = true;
        column.AllowDBNull = false;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.DateTime");
        column.ColumnName = "ApplicationDate";
        column.AutoIncrement = false;
        column.Caption = "ApplicationDate";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.DateTime");
        column.ColumnName = "DateTypeID";
        column.AutoIncrement = false;
        column.Caption = "DateTypeID";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["ID"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 0; i <= 20; i++)
        {
            row = table.NewRow();
            row["ID"] = i;
            row["ApplicationDate"] = DateTime.Now;
            row["DateTypeID"] = DateTime.Now;
            table.Rows.Add(row);
        }
        return table;

    }


}